#
# spec file for package apcupsd (Version 3.8.6)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         apcupsd
Group:        Hardware/UPS
License:      GPL
Summary:      APC UPS Daemon (powerful daemon for APC UPS'es)
Version:      3.8.6
Release:      16
URL:          http://www.sibbald.com/apcupsd/
Source:       apcupsd-%{version}.tar.bz2
Patch:        apcupsd-%{version}.diff
Patch1:       apcupsd-%{version}-sec.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Controls / monitors the status of an APC UPS under Linux.
Allows your computer or server to run for a specified length of
time on UPS power, and then executes a controlled shutdown in
the case of an extended power failure.
Find APC on the Internet at: http://www.apcc.com

APC UPS Daemon Support Center:
Look also: http://www.brisse.dk/site/apcupsd/

Riccardo Fachettis FTP-server - Sourcecode and binaries:
ftp://ftp.oasi.gpa.it/pub/apcupsd/

APC also made their PowerChute plus available for download at:
http://www.apcc.com/tools/download/

Supported:
BackUPS, BackUPS Pro, SmartUPS V/S, and SmartUPS(NET/RM)
Experimental:
MatrixUPS, ShareUPS and SmartUPS V/S

The following APC cables are supported fully:
940-0020B,
940-0024B, 940-0024C, 940-0024G,
940-1524C,
940-0095A, 940-0095C,
940-0023A(Last resort, please pick another.)

Successful tests on BackUPS 400/600, BackUPS Pro 420/650/1400,
SmartUPS v/s, and SmartUPS SU700RM/SU1250/SU1400RM w/ SMNP
PowerNET card. Current testing with ShareUPS/SU3000 Matrix.
EtherUPS or NetUPS is clean and works but needs slave
disconnect/reconnect polish.
APCaccess is the IPC management tool for "apcupsd".
APCaccess is also used to manage slaves locally.

Authors:
--------
    Andre Hedrick <andre@suse.com>

SuSE series: ap

%prep
%setup
%patch
%patch1 -p1

%build
%{suse_update_config -f scripts/}
(cd autoconf
   aclocal
   autoconf
   cp configure ../
)
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
                                    --sbindir=/sbin \
                                    --mandir=%{_mandir} \
                                    --enable-powerflute \
                                    --disable-nls \
                                    --enable-pthreads \
                                    --enable-cgi \
				    --with-libwrap \
                                    --with-cgi-bin=/usr/local/httpd/cgi-bin
make
make apctest

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
ln -sf ../etc/init.d/apcupsd $RPM_BUILD_ROOT/sbin/rcapcupsd
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/apcupsd
install -m 744 distributions/suse/halt-setup.sh $RPM_BUILD_ROOT/usr/lib/apcupsd
cp apctest $RPM_BUILD_ROOT/sbin

%post
%{fillup_and_insserv apcupsd}
sh usr/lib/apcupsd/halt-setup.sh install

%preun
usr/lib/apcupsd/halt-setup.sh uninstall

%postun
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog* Developers TODO doc/ examples/ techlogs/
%attr(4755,root,root) /sbin/apcupsd
/sbin/apcaccess
/sbin/apcnisd
/sbin/apctest
/sbin/powerflute
/sbin/rcapcupsd
/etc/init.d/apcupsd
%dir /etc/apcupsd/
/etc/apcupsd/apccontrol
%config(noreplace)/etc/apcupsd/apcupsd.conf
/etc/apcupsd/changeme
/etc/apcupsd/commfailure
/etc/apcupsd/commok
%config(noreplace) /etc/apcupsd/hosts.conf
/etc/apcupsd/mainsback
%config(noreplace) /etc/apcupsd/multimon.conf
/etc/apcupsd/onbattery
/usr/local/httpd/cgi-bin/multimon.cgi
/usr/local/httpd/cgi-bin/multimoncss.cgi
/usr/local/httpd/cgi-bin/upsfstats.cgi
/usr/local/httpd/cgi-bin/upsstats.cgi
/usr/local/httpd/cgi-bin/upsimage.cgi
%doc %{_mandir}/man8/apcupsd.8*
/usr/lib/apcupsd

%changelog -n apcupsd
* Mon Mar 10 2003 - sbrabec@suse.cz
- Updated to version 3.8.6 (root exploit fix on slave).
- Buffer overflow fixes.
- Name clash and error handling fixes.
* Mon Jan 07 2002 - cihlar@suse.cz
- updated to version 3.8.5:
  * Battery Runtime Calibration in the apctest
  program
  * Resolved a crash caused by a lost TCP/IP
  connection
* Mon Dec 17 2001 - cihlar@suse.cz
- updated to version 3.8.4-2:
  * bug fix release
* Mon Dec 10 2001 - cihlar@suse.cz
- removed START_APCUPSD
* Thu Nov 29 2001 - cihlar@suse.cz
- update to version 3.8.3:
  * updated manual
  * several bug fixes
  * added support for new hardware
- fixed permissions of halt-setup.sh
- fixed halt-setup.sh
- moved halt-setup.sh from %%postun to %%preun
* Tue Nov 27 2001 - cihlar@suse.cz
- fixed variable names in init script [#12451]
* Thu Jul 26 2001 - cihlar@suse.cz
- fixed call of suse_update_config
* Wed Jul 25 2001 - cihlar@suse.cz
- update to 3.8.2
- added part with autoconf
- compile with --with-libwrap and --enable-pthreads
* Thu Apr 12 2001 - cihlar@suse.cz
- fixed init script by new skeleton
* Mon Jan 15 2001 - cihlar@suse.cz
- added apctest
* Wed Jan 10 2001 - cihlar@suse.cz
- update to 3.8.1
- change to new init script mechanism
- fixed initialization of halt.local
- added BuildRoot
- clean up spec file
- bzipped sources
- added fillup of rc.config
* Mon Jun 19 2000 - kasal@suse.de
- Updated to 3.7.2.  The package is still BETA, see "Todo" below.
* Sun Oct 10 1999 - bk@suse.de
- new package, requested e.g by Andre Hedrick <andre@suse.com>
  Todo:
- polish /sbin/init.d/apcupsd and add links to the rcX.d directories
- add the proper START_APCUPSD= fillup for /etc/rc.config
- add the changes for halt.sh in the suse subdir
